EC_EDITLINE_SET_PROMPT(3)

NAME
ec_editline_set_prompt - Set editline prompt.

SYNOPSIS
#include <ecoli/editline.h>

int ec_editline_set_prompt(
    struct ec_editline   *editline,  /* The pointer to the ec_editline structure. */
    const char           *prompt     /* The prompt string to use. */
);

RETURN VALUE

0 on success, or -1 on error.

SEE ALSO

ec_editline_get_el(3), ec_editline_complete(3), ec_editline_set_prompt_esc(3), ec_editline_parse(3), ec_editline_free(3), ec_editline_term_size(3), ec_editline_gets(3), ec_editline_interact(3), ec_editline_set_node(3), ec_editline_set_history(3), ec_editline(3), ec_editline_get_node(3), ec_editline_curline(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.